# HPC-Cluster #

ADD general Info for Cluster here

## Smart-data ##

Enthält die Smart-Daten für die Festplatten in den Storage Servern, kann aber auch noch um weitere Daten erweitert werden. Die Daten können mit dem Skript blastor.sh, welches automatisch auf das einstecken neuer Platten reagiert, automatisch generiert und abgelegt werden.

Die Daten können anschließend mit dem Skript smartGUI.py durchsucht werden. Dafür muss "python3" und "python-support" installiert sein. Möglich ist sowohl eine Suche nach konkreten Seriennummern, als auch nach Mehreren Festplatten, die eine bestimmte Eigenschaft erfüllen.



## network

master server enp0s8 is WAN with DHCP-Client, it forwards traffic from LAN to WAN and does currently no NAT.


nodes network (LAN) (10.10.0.0/23) is on enp0s9

Nodes are configured from 10.10.0.100 and above

dhcp range is 10.10.0.20-10.10.0.80



## useful commands

```bash
for i in `seq 136 142`; do echo $i; ssh root@10.10.0.$i reboot; done
for i in `seq 100 142`; do echo $i; ssh root@10.10.0.$i "sh -c 'nohup stress -c 8 > /dev/null 2>&1 &'"; done
for i in `seq 100 105`; do echo $i; ssh root@10.10.0.$i "sh -c 'nohup killall stress > /dev/null 2>&1 &'"; done
for i in `seq 100 143`; do echo $i; ssh root@10.10.0.$i "sh -c 'nohup poweroff > /dev/null 2>&1 &'"; done


# install required roles from ansible-galaxy:
ansible-galaxy install -r requirements.yml

# run ansible-playbook only on node42 with only tagged roles hostname and telegraf
ansible-playbook  -i inventory site.yml --limit "node42" --tags "hostname,telegraf" -K --ask-pass
```
