# Smart-Data

Man kann doch mit den 3Ware-9650SE Raid-Controllern die Smart werte auslesen.

z.b.:
```bash
smartctl -a -d 3ware,<vportID> /dev/twa0
```

Die <vportID> (hier 0-15) kann man über die tw_cli nachschauen, hier mit beispielausgabe:
```bash
# get controller identifier (may change after reboot)
$ sudo tw_cli show

Ctl   Model        (V)Ports  Drives   Units   NotOpt  RRate   VRate  BBU
------------------------------------------------------------------------
c6    9650SE-16ML  16        16       16      0       4       1      OK       

Encls         Slots  Drives  Fans  TSUnits  PSUnits  
-----------------------------------------------------
e0            16     16      8     4        0   

# c6 is the controller ID
# lets show all of this controller
$ sudo tw_cli /c6 show

Unit  UnitType  Status         %RCmpl  %V/I/M  Stripe  Size(GB)  Cache  AVrfy
------------------------------------------------------------------------------
u0    JBOD      OK             -       -       -       1863.02   Ri     OFF    
u1    JBOD      OK             -       -       -       1863.02   Ri     OFF    
u2    JBOD      OK             -       -       -       1863.02   Ri     OFF    
u3    JBOD      OK             -       -       -       1863.02   Ri     OFF    
u4    JBOD      OK             -       -       -       1863.02   Ri     OFF    
u5    JBOD      OK             -       -       -       1863.02   Ri     OFF    
u6    JBOD      OK             -       -       -       1863.02   Ri     OFF    
u7    JBOD      OK             -       -       -       1863.02   Ri     OFF    
u8    JBOD      OK             -       -       -       1863.02   Ri     OFF    
u9    JBOD      OK             -       -       -       1863.02   Ri     OFF    
u10   JBOD      OK             -       -       -       1863.02   Ri     OFF    
u11   JBOD      OK             -       -       -       1863.02   Ri     OFF    
u12   JBOD      OK             -       -       -       1863.02   Ri     OFF    
u13   JBOD      OK             -       -       -       1863.02   Ri     OFF    
u14   JBOD      OK             -       -       -       1863.02   Ri     OFF    
u15   JBOD      OK             -       -       -       1863.02   Ri     OFF    

VPort Status         Unit Size      Type  Phy Encl-Slot    Model
------------------------------------------------------------------------------
p0    OK             u0   1.82 TB   SATA  0   -            WDC WD2002FYPS-01U1 
p1    OK             u1   1.82 TB   SATA  1   -            WDC WD2003FYYS-02W0 
p2    OK             u2   1.82 TB   SATA  2   -            WDC WD2002FYPS-01U1 
p3    OK             u3   1.82 TB   SATA  3   -            WDC WD2002FYPS-01U1 
p4    OK             u4   1.82 TB   SATA  4   -            WDC WD2002FYPS-01U1 
p5    OK             u5   1.82 TB   SATA  5   -            WDC WD2002FYPS-01U1 
p6    OK             u6   1.82 TB   SATA  6   -            WDC WD2002FYPS-01U1 
p7    OK             u7   1.82 TB   SATA  7   -            WDC WD2002FYPS-01U1 
p8    OK             u8   1.82 TB   SATA  8   -            WDC WD2002FYPS-01U1 
p9    OK             u9   1.82 TB   SATA  9   -            WDC WD2002FYPS-01U1 
p10   OK             u10  1.82 TB   SATA  10  -            WDC WD2002FYPS-01U1 
p11   OK             u11  1.82 TB   SATA  11  -            WDC WD2002FYPS-01U1 
p12   OK             u12  1.82 TB   SATA  12  -            WDC WD2002FYPS-01U1 
p13   OK             u13  1.82 TB   SATA  13  -            WDC WD2002FYPS-01U1 
p14   OK             u14  1.82 TB   SATA  14  -            WDC WD2002FYPS-01U1 
p15   OK             u15  1.82 TB   SATA  15  -            WDC WD2000FYYZ-01UL 

Name  OnlineState  BBUReady  Status    Volt     Temp     Hours  LastCapTest
---------------------------------------------------------------------------
bbu   On           Yes       OK        OK       OK       0      xx-xxx-xxxx 
```
die erste Tabelle zeigt alle konfigurierten "Units" an, hier sind alle platten als jbod konfiguriert. \\
In der Zweiten Tabelle ist steht vorne die Vport, davon ist nur die Zahl als <vportID> zu verwenden.\\
